msgpack::adaptor::detail::array::as_impl< T, 1 > Struct Template Reference

`#include <array.hpp>`

## Static Public Member Functions

static std::array< T, 1 > | as (msgpack::object const &o)

## Member Function Documentation

## as()

template<typename T >

static std::array<T, 1> msgpack::adaptor::detail::array::as_impl< T, 1 >::as | ( | msgpack::object const & | o | ) |

inline static

References msgpack::object::union_type::array, msgpack::object::as(), msgpack::object_array::ptr, and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/cpp11/array.hpp